Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class SQLDocument

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--org.apache.xalan.lib.sql.DTMDocument
                              |
                              +--org.apache.xalan.lib.sql.SQLDocument

public class SQLDocument
extends DTMDocument

The SQL Document is the main controlling class the executesa SQL Query

Inner classes inherited from class org.apache.xalan.lib.sql.DTMDocument
`DTMDocument.CharacterNodeHandler`

Constructor Summary
`SQLDocument(DTMManager mgr, int ident, ConnectionPool pool, java.sql.Connection con, java.sql.Statement stmt, java.sql.ResultSet data, boolean streamingMode)`

Method Summary
`void` | `close()` Clean up our ties to the database but this does not necessarly clean up the document.
`void` | `closeOnError()` When an error occurs, the XConnection will call this method do that we can deal with the Connection properly
`void` | `documentRegistration()`
`void` | `documentRelease()`

Methods inherited from class org.apache.xalan.lib.sql.DTMDocument
`appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, dumpDTM, getAttributeNode, getAxisIterator, getAxisTraverser, getContentHandler, getDeclHandler, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTDHandler, getElementById, getEntityResolver, getErrorHandler, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLexicalHandler, getLocalName, getLocalNameFromExpandedNameID, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getSourceLocatorFor, getStringValue, getStringValueChunk, getStringValueChunkCount, getTypedAxisIterator, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, needsTwoThreads, setDocumentBaseURI, setFeature, setProperty, supportsPreStripping`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`dumpDTM, dumpNode, getDocumentRoot, getDTMIDs, getManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDocument

    public SQLDocument(DTMManager mgr,
                       int ident,
                       ConnectionPool pool,
                       java.sql.Connection con,
                       java.sql.Statement stmt,
                       java.sql.ResultSet data,
                       boolean streamingMode)
                throws java.sql.SQLException

  Parameters:
    `mgr` -
    `ident` -
    `pool` -
    `con` -
    `stmt` -
    `data` -
    `streamingMode` -
  Throws:
    java.sql.SQLException -

Method Detail

### close

    public void close()

  Clean up our ties to the database but this does not necessarly clean up the document.
  Returns:

### closeOnError

    public void closeOnError()

  When an error occurs, the XConnection will call this method do that we can deal with the Connection properly
  Returns:

### documentRegistration

    public void documentRegistration()

  Overrides:
    documentRegistration in class DTMDefaultBase

### documentRelease

    public void documentRelease()

  Overrides:
    documentRelease in class DTMDefaultBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.